/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.samplejsfmyfaces.portlet;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.servlet.URLEncoder;

import javax.servlet.http.HttpServletResponse;

/**
 * @author Brian Wing Shun Chan
 */
public class LogURLEncoder implements URLEncoder {

	public String encodeURL(HttpServletResponse res, String path) {
		if (_log.isInfoEnabled()) {
			_log.info("Path " + path);
		}

		String encodedURL = res.encodeURL(path);

		if (_log.isInfoEnabled()) {
			_log.info("Encoded URL " + encodedURL);
		}

		return encodedURL;
	}

	private static Log _log = LogFactoryUtil.getLog(LogURLEncoder.class);

}